#pragma once
#include <map>
struct Fish_GoldenTurtleHitCFGData
{
	//编号
	int mID;
	//类型
	int mType;
	//最小值
	int mMinimumvalue;
	//最大值
	int mMaximumvalue;
	//系数（0-1）
	int mCoefficient;
};

class Fish_GoldenTurtleHitCFG
{
public:
private:
	static std::auto_ptr<Fish_GoldenTurtleHitCFG> msSingleton;
public:
	int GetCount();
	const Fish_GoldenTurtleHitCFGData* GetData(int ID);
	const std::map<int, Fish_GoldenTurtleHitCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_GoldenTurtleHitCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_GoldenTurtleHitCFGData> mMapData;
};
